<template>
  <div  class="app-container">
    <el-form :inline="true" label-width="100px" :model="form">
      <el-form-item label="政策名称">
        <el-input placeholder="请输入" ></el-input>
      </el-form-item>
      <el-form-item label="政策类型">
        <el-select placeholder="请选择" style="width: 200px;">
          <el-option v-for="item in policyList" :label="item.label" :value="item.value"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="状态">
        <el-select placeholder="请选择" style="width: 200px;">
          <el-option v-for="item in statusList" :label="item.label" :value="item.value"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="Search" @click="handleSearch">搜索</el-button>
        <el-button icon="Refresh" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button type="primary" plain icon="Plus" @click="handleAdd()" v-hasPermi="['system:dept:add']">新增</el-button>
      </el-col>
    </el-row>
    <el-table :data="deptList">
      <el-table-column label="政策名称"></el-table-column>
      <el-table-column label="政策类型"></el-table-column>
      <el-table-column label="创建时间"></el-table-column>
      <el-table-column label="创建人" width="200"></el-table-column>
      <el-table-column label="状态" width="200"></el-table-column>
      <el-table-column label="操作"></el-table-column>
    </el-table>
    <pagination v-show="queryParams.total > 0" :total="queryParams.total" v-model:page="queryParams.pageNum" v-model:limit="queryParams.pageSize" @pagination="getList" />
      <addNews ref="addnews"></addNews>
   </div>
</template>

<script>
import { docList } from '@/api/system/company/company'
import addNews from './components/addNews'
export default {
  components: {
    addNews
  },
  data() {
    return {
      policyList: [
        {
          label: '惠企政策',
          value: 1
        }
      ],
      statusList: [
        {
          label: '正常',
          value: 0
        },
        {
          label: '禁用',
          value: 1
        },
      ],
      queryParams: {
        total: 0,
        pageNum: 1,
        pageSize: 10
      },
      tableData: []
    }
  },
  mounted() {
    this.getList()
  },
  methods: {
    // 获取列表
    getList() {
      docList(this.queryParams).then(res => {
        this.tableData = res.rows
        this.queryParams.total = res.total
      })
    },
    // 搜索
    handleSearch() {
      this.queryParams.pageNum = 1
      this.getList()
   },
   handleAdd() {
    this.$refs.addnews.openDialog()
   }
  }
}
</script>